#if TOOLS
using Godot;
using Rokojori;
using System.Diagnostics;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Rokojori.Tools
{ 
  [Tool]
  [GlobalClass]
  public partial class GitTest:Node
  {
    [ExportToolButton("Status")]
    public Callable StatusButton => Callable.From( 
      ()=>
      {
        GetStatus();
      }
    );

    async void GetStatus()
    {
      var response = await Git.GetStatus( ProjectSettings.GlobalizePath( "res://") );
      this.LogInfo( response.exitCode, ">>", response.rawResponse );
      
    }
  }
}
#endif